using Microsoft.AspNetCore.Components.WebAssembly.Hosting;

using NSeguin.Dev.Web.Data;
using NSeguin.Dev.Web.Extensions;
using NSeguin.Dev.Web.Services;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.Services.AddNSeguinDevWebCommon(isWebAssembly: true);
#if DEBUG
builder.Logging.SetMinimumLevel(LogLevel.Debug);
#endif
builder.Services.AddCascadingValue(s => s.GetRequiredService<IAppDataService>().UserConfiguration);
await builder.Build().RunAsync();
